Retrieve a paginated list of members for a specific tenant.
curl --request GET \
--url https://{teamSlug}.teams.auth0.com/api/tenants/{tenantId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://{teamSlug}.teams.auth0.com/api/tenants/{tenantId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{teamSlug}.teams.auth0.com/api/tenants/{tenantId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"id": "auth0|68da0038bab277c02ed1d4c8",
"name": "John Doe",
"email": "john.doe@example.com",
"roles": [
"owner"
],
"given_name": "John",
"family_name": "Doe",
"nickname": "johndoe"
}
],
"next": "<string>"
}{
"status": 400,
"type": "VALIDATION_ERROR",
"title": "Invalid payload"
}{
"status": 401,
"type": "UNAUTHORIZED",
"title": "Unauthorized"
}{
"status": 403,
"type": "TENANT_LIMIT_REACHED",
"title": "You have reached the limit for tenants in your current plan"
}{
"status": 404,
"type": "TENANT_NOT_FOUND",
"title": "The tenant was not found"
}{
"status": 429,
"type": "TOO_MANY_REQUESTS",
"title": "Too many requests"
}{
"status": 500,
"type": "UNKNOWN_ERROR",
"title": "An unknown error occurred"
}This endpoint retrieves a paginated list of all members for a specific tenant.
GET
https://{teamSlug}.teams.auth0.com
/
api
/
tenants
/
{tenantId}
/
members
Retrieve a paginated list of members for a specific tenant.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique ID of the tenant. Unique identifier of the tenant
Query Parameters
Maximum number of items to return per page. Defaults to 50. Maximum 50
Required range:
1 <= x <= 50Checkpoint cursor for pagination; use the 'next' value from a previous response to fetch the next page
Was this page helpful?